Sign inGet started

Get a contact

GET
/workspaces/{workspaceId}/contacts/{contactId}
Get the specified contact given its ID.
Corps de la réponse
accountIds
array of string
The list of account ids for the contact.
attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or a non-empty array of those, or null
companyRefs
array of string
The list of company references for the contact.
computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available, from the displayName attribute, the firstName attribute, the emailaddress identifier, or the phonenumber identifier.
createdAt
string
obligatoire
featuredIdentifiers
array of object
The list of identifiers for the contact.
Afficher les attributs enfants
featuredIdentifiers.key
string
obligatoire
The identifier key. This can be from your custom identifier key or one of the built-in keys.
featuredIdentifiers.value
string
obligatoire
The identifier value. This represents the actual value for the identifier.
id
string
obligatoire
The unique identifier for the contact.
identifierCount
integer
The number of identifiers for the contact.
isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers, or only has visitorid identifiers.
listIds
array of string
The list of list ids for the contact.
updatedAt
string
obligatoire
workspaceId
string
Your workspace identifier.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/contacts/{contactId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd
  • Contact ID: 12bd0e40-9361-4e32-8b26-99b4ab7eae09

Get a contact without specifying attributes

In this example, we're fetching the contact without specifying the attributes. To know more about attributes, please refer to this documentation.
Exemple de code
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \

Get a contact specifying attributes

In this example, we are fetching the contact specifying the attributes. To know more about attributes, please refer to this documentation.
Exemple de code
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09?attribute=countryCode" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \